# Created by pyp2rpm-3.3.2
%global pypi_name cmarkgfm

Name:           python-%{pypi_name}
Version:        2022.10.27
Release:        %mkrel 1
Summary:        Minimal bindings to GitHub's fork of cmark
Group:          Development/Python
License:        None
URL:            https://pypi.org/project/cmarkgfm/
Source0:        %{pypi_source}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pytest)

%description
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cmarkgfm

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Thu Oct 27 2022 papoteur <papoteur> 2022.10.27-1.mga9
+ Revision: 1899611
- new 2022-10-27

* Tue Sep 06 2022 neoclust <neoclust> 0.8.0-1.mga9
+ Revision: 1884429
- New version

* Mon Mar 28 2022 umeabot <umeabot> 0.7.0-2.mga9
+ Revision: 1829530
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 0.7.0-1.mga9
+ Revision: 1778479
- version 0.7.0
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 0.6.0-1.mga9
+ Revision: 1743086
- new version 0.6.0

* Sun Mar 21 2021 joequant <joequant> 0.5.3-1.mga9
+ Revision: 1706790
- update to 0.5.3 / python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 0.5.2-1.mga9
+ Revision: 1697478
- new version 0.5.2

* Sun Feb 16 2020 umeabot <umeabot> 0.4.2-3.mga8
+ Revision: 1533988
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.4.2-2.mga8
+ Revision: 1446550
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 0.4.2-1.mga8
+ Revision: 1422928
- pyp2rpm

